Orders
https://app.iteras.dk/api/orders/
The /api/orders/ endpoint enables you to retrieve
information about placed orders. Orders are always placed through
ordering forms, either through the UI or through the
place order API.
The orders are not usually visible inside the Iteras UI, except orders awaiting approval
The orders can be orders in any state, so both completed orders, orders awaiting approval and orders where the customer has not completed the payment.
An order can also hand its ID and selected fields directly to the page shown after ordering - see order data on the redirect - so that page can look the order up here without searching.
Parameters
All parameters are optional.
-
fields string Defaults to
dataA comma-separated list of fields to return in the JSON, e.g.
?fields=data,invoice_lines.Available fields
-
dataAll fields directly on the order.
-
invoice_linesEstimated invoice lines from ordered campaigns and products. These are calculated at the time of the API request (not at the time the order was made).
-
-
order_id stringID of a specific order, e.g.
?order_id=83529. -
customer stringOrders made by a specific customer with the provided customer ID, e.g.
?customer=9224437. These orders are either completed or the customer has logged in as part of ordering. -
campaign stringCampaign ID, selected products representing one or more of these campaign IDs e.g.
?campaign=3i&campaign=12m. -
status stringStatus of the order, e.g.
?status=awaitingapproval&status=denied. Can be awaiting, awaitingconfirmation, awaitingpaymentprocessor, awaitingemailconfirmation, awaitingapproval, denied. -
created_before dateE.g.
?created_before=2026-10-09(the date inclusive). -
created_after dateE.g.
?created_after=2026-09-09(the date inclusive). -
max_results integer Defaults to
10000How many orders to retrieve at most, e.g.max_results=1000. The newest orders are returned first. "max_results" is currently clipped to be between 1-10000. -
iframe booleanSet if returned URLs are intended to go in an iframe, e.g.
iframe=1.
A customer or order_id that does not exist returns a plain text
HTTP 404 error. A missing or malformed parameter that the call requires returns a plain text
HTTP 400 error.
Return value
The data returned is an object with an array of order
information (possibly empty array). A maximum of 10.000 orders are returned so make sure to use
the created_before and/or created_after parameters if you have a lot of orders to fetch.
Note that the content depends on what fields have been set up inside Iteras and filled in on a given order. In general, only filled-in fields are returned, so for instance if the order form does not include a specific field or the field is not filled in, it won't show up in the data for the order.
The customer attached to an order, if any, is returned in
customer_id.
GET /api/orders/?customer=452&created_after=2026-07-09{
"orders": [
{
"created": "2026-08-09T01:37:18",
"ordering_form": "3-months", // URL ID of form used for order
"resume_ordering_url": "https://app.iteras.dk/example/iframe/order/myOrderingForm/?order=vnt3eb683b4833v8", // link to order (only present if status is 'awaitingconfirmation')
"address": {
"name": "John Doe",
"address": "Sneglevej 78\n6000 Kolding",
"country": "DK"
},
"email": "johndoe@example.com",
"billing_address": {
"company": "Business Corp",
"address": "Business road 56\n4637 Town",
"country": "NO"
},
"password": "rnfy98r57485tnf398r9n8347", // hashed value
":Receive newsletter": true,
"ip": "123.123.123.123", // IP address that placed the order
"ordering_code": "EXTRA20OFF", // if an ordering code was used
"products": [ // chosen products
{
"campaign_id": "3months", // ID of campaign product
"campaign_name": "3 months",
"campaign_customer_facing_name": "",
"text": " (100,00 DKK)", // product text used when ordering
"quantity": 1,
"subscribed_to": [{
"name": "Example subscription product",
"external_id": "example-subscription-product"
}],
"price": 100.00
},
{
"name": "Standard size book", // stand-alone product
"customer_facing_name": "A good book",
"external_id": "book_offer_34",
"text": "A good book at a good price (50,00 DKK)", // product text used when ordering
":Custom product field": "Eksempeltekst",
"price": 50.00
],
"status": "approved", // or awaitingconfirmation/awaitingpaymentprocessor/awaitingemailconfirmation/awaitingapproval/denied
"customer_id": "452", // customer ID of customer attached to this order (if any)
"payment_agreement": {
"id": "7453106",
"text": "Mastercard: XX...XX2451 (10/2028)"
},
"subscriptions" [ // ID's of created subscriptions from this order (if any)
"56469"
]
}
]
}